Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class LiteMap.EntrySet

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
com.tangosol.util.LiteMap.EntrySet`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  LiteMap

      protected class LiteMap.EntrySet

extends java.util.AbstractSet
implements java.io.Serializable

A Set of entries backed by this Map.

Constructor Summary
`protected` | `LiteMap.EntrySet()`

Method Summary
`boolean` | `contains(java.lang.Object o)` Returns `true` if this collection contains the specified element.
`boolean` | `isEmpty()` Returns `true` if this Set is empty.
`java.util.Iterator` | `iterator()` Returns an iterator over the elements contained in this collection.
`int` | `size()` Returns the number of elements in this collection.
`java.lang.Object[]` | `toArray()` Returns an array containing all of the elements in this collection.
`java.lang.Object[]` | `toArray(java.lang.Object[] ao)` Returns an array with a runtime type is that of the specified array and that contains all of the elements in this collection.

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, containsAll, remove, retainAll, toString`

Methods inherited from interface java.util.Set
`add, addAll, clear, containsAll, remove, retainAll`

Constructor Detail

### LiteMap.EntrySet

    protected LiteMap.EntrySet()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Returns an iterator over the elements contained in this collection.
  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`
  Returns:
    an iterator over the elements contained in this collection

### isEmpty

    public boolean isEmpty()

  Returns `true` if this Set is empty.
  Specified by:
    `isEmpty` in interface `java.util.Collection`
  Specified by:
    `isEmpty` in interface `java.util.Set`
  Overrides:
    `isEmpty` in class `java.util.AbstractCollection`
  Returns:
    `true` if this Set is empty

### size

    public int size()

  Returns the number of elements in this collection.
  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`
  Returns:
    the number of elements in this collection

### contains

    public boolean contains(java.lang.Object o)

  Returns `true` if this collection contains the specified element. More formally, returns `true` if and only if this collection contains at least one element `e` such that `(o==null ? e==null : o.equals(e))`.
  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.Set`
  Overrides:
    `contains` in class `java.util.AbstractCollection`
  Parameters:
    `o` - object to be checked for containment in this collection
  Returns:
    `true` if this collection contains the specified element

### toArray

    public java.lang.Object[] toArray()

  Returns an array containing all of the elements in this collection.
  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`
  Returns:
    an array containing all of the elements in this collection

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] ao)

  Returns an array with a runtime type is that of the specified array and that contains all of the elements in this collection. If the collection fits in the specified array, it is returned therein. Otherwise, a new array is allocated with the runtime type of the specified array and the size of this collection.

  If the collection fits in the specified array with room to spare (i.e. the array has more elements than the collection), the element in the array immediately following the end of the collection is set to `null`. This is useful in determining the length of the collection only if the caller knows that the collection does not contain any `null` elements.)

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.Set`
  Overrides:
    `toArray` in class `java.util.AbstractCollection`
  Parameters:
    `ao` - the array into which the elements of the collection are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose
  Returns:
    an array containing the elements of the collection
  Throws:
    `java.lang.ArrayStoreException` - if the runtime type of the specified array is not a supertype of the runtime type of every element in this collection

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.